Subject: Re: bug#70049: 30.0.50; (server-running-p) in mode line freezes emacs

From: Pedro Andres Aranda Gutierrez <[email-masked]>
Date: Fri, 29 Mar 2024 07:37:32 +0100

Hi

On Thu, 28 Mar 2024 at 17:26, Eli Zaretskii <[email-masked]> wrote:

> > From: Pedro Andres Aranda Gutierrez <[email-masked]>
> > Date: Thu, 28 Mar 2024 17:03:36 +0100
> > Cc: [email-masked]
> >
> > When I say freeze, I mean it becomes irresponsive and does not respond
> to Ctrl-G and GNOME detects the
> > situation, opening a 'force quit' dialog. It also happens in macOS, and
> there I can only force quit emacs. I've
> > opened this bug, because there was something similar around putting a VC
> indicator in the mode-line.
>
> Can you look at the CPU meter and tell if Emacs consumes CPU in this
> state or not?
>
I've fired up the system monitor on my Ubuntu 22.04. waited the CPU curves
stabilised before activating server-mode,
then waited again until everything was quiet again and then resized Emacs
to trigger the 'Emacs is not responding'
dialog. There was no significant raise in CPU or memory consumption. Then
repeated the same with the process tab
and couldn't detect any significant change.

> It might not be solvable, but at least I think it is worth discussing and
> documenting. Who knows if this could
> > not end in a DONT-DO sort of document, which might also be of some merit
> and use.
>
> Sure, we are discussing it and trying to figure out what causes this.
>
 If I can be of any help, just let me know.

Best, /PA
-- 
Fragen sind nicht da, um beantwortet zu werden,
Fragen sind da um gestellt zu werden
Georg Kreisler

Headaches with a Juju log:
unit-basic-16: 09:17:36 WARNING juju.worker.uniter.operation we should run
a leader-deposed hook here, but we can't yet